require 'sinatra/base'

class TestApp < Sinatra::Base

  get '/escaped_tag' do
    <<-HTML
      <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
      <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
        <head>
          <meta http-equiv="Content-Type" content="text/htmll; charset=utf-8"/>
          <title>sample</title>
        </head>
        <body>
          &lt;strong&gt;just some text inside escaped tags&lt;strong&gt;
        </body>
      </html>
    HTML
  end

  get '/escaped_entity' do
    <<-HTML
      <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
      <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
        <head>
          <meta http-equiv="Content-Type" content="text/htmll; charset=utf-8"/>
          <title>sample</title>
        </head>
        <body>
          Tom&amp;Jerry
        </body>
      </html>
    HTML
  end

end
